## List a customer's payment methods

### cURL

```
curl --request GET \
  --url https://api.withflex.com/v1/customers/{id}/payment_methods \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.withflex.com/v1/customers/{id}/payment_methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/customers/{id}/payment_methods', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.withflex.com/v1/customers/{id}/payment_methods",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/customers/{id}/payment_methods"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/customers/{id}/payment_methods")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/customers/{id}/payment_methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Status Codes

- **200**: Successful response
- **401**: Unauthorized access
- **403**: Forbidden access
- **404**: Resource not found
- **409**: Conflict
- **422**: Unprocessable Entity
- **429**: Too Many Requests

### Sample Response

```
{
  "payment_methods": [\
    {\
      "payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",\
      "billing_details": {},\
      "metadata": {\
        "order_id": "8842",\
        "channel": "shopify"\
      },\
      "card": {},\
      "created_at": "2026-06-15T14:30:00Z",\
      "test_mode": false,\
      "off_session": false\
    }\
  ]
}
```

### Error Response Example

```
{
  "code": "string",
  "detail": "string"
}
```

### Authorizations

- **Authorization**: string (header, required)
  - Use a Bearer token to access this API.

### Path Parameters

- **id**: string (required)
  - Example: "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

### Query Parameters

- **limit**: integer<int32> | null
  - A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10. Example: `10`

- **offset**: integer<int32> | null
  - Number of objects to skip before returning results. Example: `3`

- **include_org**: boolean | null
  - Resolve payment methods for a customer owned by a sibling partner in the same organization (PII opt-in). Defaults to `false`.

### Response Structure

- **200 application/json**: An envelope wrapping a list of payment method objects.
  - **payment_methods**: object[] (required)
    - The list of payment methods.
